Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
variables
/
{variableName}
/
environment-overrides
Create environment overrides
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/variables/{variableName}/environment-overrides \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "overrides": [
    {
      "environmentName": "<string>",
      "value": "<unknown>"
    }
  ]
}
'
import requests

url = "https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/variables/{variableName}/environment-overrides"

payload = { "overrides": [
{
"environmentName": "<string>",
"value": "<unknown>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({overrides: [{environmentName: '<string>', value: '<unknown>'}]})
};

fetch('https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/variables/{variableName}/environment-overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "failedOverrides": [
    {
      "environmentName": "<string>",
      "reason": "<string>"
    }
  ],
  "successfulOverrides": [
    {
      "environmentName": "<string>",
      "value": "<unknown>"
    }
  ],
  "variableName": "<string>"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required
variableName
string
required
Maximum string length: 255
Pattern: ^(?!\$$)[a-zA-Z_$][a-zA-Z0-9_$]*$

Body

application/json
overrides
object[]
required
Minimum array length: 1

Response

Project variable environment overrides created or updated. Returns both successful and failed overrides.

failedOverrides
object[]
successfulOverrides
object[]
type
enum<string>
Available options:
NUMBER,
TEXT,
DATETIME
variableName
string